[Fwd] LibreOffice 3.6.3.2 build on Linux fail on dictionaries and help (localize.sdf not found)

classic Classic list List threaded Threaded
4 messages Options
piernov piernov
Reply | Threaded
Open this post in threaded view
|

[Fwd] LibreOffice 3.6.3.2 build on Linux fail on dictionaries and help (localize.sdf not found)

Hey,
Since I posted my message on the wrong ML, I'm forwarding it (with the nabble interface, sorry…) as suggested here. So here is my problem :

Hey, I don't know if it's the right place to ask, but I'm experiencing some problems building LibreOffice 3.6.3.2 on GNU/Linux 32-bit.
I'm using this Pkgfile (build file for NuTyX's pkgmk (originally Crux's one)) : http://pastebin.com/jUK3GjRC
additional_source (list of packages to download from LibreOffice's server because they're not present on the system) : http://pastebin.com/JgDtQgp0
build_error.log : http://pastebin.com/BV3ePhsn
list of installed packages : http://pastebin.com/PAMcwHFF
My system is a chroot of an highly modified NuTyX pakxe.4, so you can't find any information on it. (but that may help : http://piernov.org/git/nutyx-pakxe/ http://piernov.org/git/nutyx-extra/ → My outdated repositories of packages).
Thank you in advance.
Michael Meeks-2 Michael Meeks-2
Reply | Threaded
Open this post in threaded view
|

Re: [Fwd] LibreOffice 3.6.3.2 build on Linux fail on dictionaries and help (localize.sdf not found)

Hi there,

On Tue, 2012-11-20 at 03:01 -0800, piernov wrote:
> Since I posted my message on the wrong ML, I'm forwarding it (with the
> nabble interface, sorry…) as suggested here. So here is my problem :

        :-)

> Hey, I don't know if it's the right place to ask, but I'm experiencing some
> problems building LibreOffice 3.6.3.2 on GNU/Linux 32-bit.

        So this is the right place to ask; it helps to paste the error fragment
of your log, in this case:

log for /tmp/work-23513/src/libreoffice-core-3.6.3.2/dictionaries/hu_HU
Warning : Can't open ../unxlngi6.pro/misc/dictionaries/dummy/localize.sdf
Warning : Can't open /tmp/work-23513/src/libreoffice-core-3.6.3.2/workdir/unxlngi6.pro/CustomTarget/translations/translate/sdf/dictionaries/hu_HU/dialog/localize.sdf
propmerge: cannot open sdf file: /tmp/work-23513/src/libreoffice-core-3.6.3.2/workdir/unxlngi6.pro/CustomTarget/translations/translate/sdf/dictionaries/hu_HU/dialog/localize.sdf at /tmp/work-23513/src/libreoffice-core-3.6.3.2/solver/unxlngi6.pro/bin/propmerge line 46.

        Which looks unusual :-) Of course, if you need to get a quick build to
develop with you can configure with: --without-help.

        Beyond that I'm not sure :-)

        HTH,

                Michael.

--
[hidden email]  <><, Pseudo Engineer, itinerant idiot

_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice
piernov piernov
Reply | Threaded
Open this post in threaded view
|

Re: [Fwd] LibreOffice 3.6.3.2 build on Linux fail on dictionaries and help (localize.sdf not found)

Hey,
Yeah, I could also disable all translations-related stuff, but I would wanted to have a full build of LO, containing translations, dictionaries and help content (but the last is optional). Especially in french, because I'm building it for a french distribution.
So for the second error, maybe the --disable-help can help, but for the first one, it'll not change anything, and I need at least French and English dictionaries. But actually we can't choose which one to build, so it tries to build the hu_HU one too, and fails.
Thanks.
Andras Timar Andras Timar
Reply | Threaded
Open this post in threaded view
|

Re: [Fwd] LibreOffice 3.6.3.2 build on Linux fail on dictionaries and help (localize.sdf not found)

Hello,

On Tue, Nov 20, 2012 at 9:40 PM, piernov <[hidden email]> wrote:

> Hey,
> Yeah, I could also disable all translations-related stuff, but I would
> wanted to have a full build of LO, containing translations, dictionaries and
> help content (but the last is optional). Especially in french, because I'm
> building it for a french distribution.
> So for the second error, maybe the --disable-help can help, but for the
> first one, it'll not change anything, and I need at least French and English
> dictionaries. But actually we can't choose which one to build, so it tries
> to build the hu_HU one too, and fails.
> Thanks.

It seems that sdf files have not been generated for you from the
translations module. Some tools might ignore it, and use en-US
everywhere, while propex seems to be picky about it. Did you try to
make translations module manually? Probably the real error is there.

make translations.clean && make translations

Best regards,
Andras
_______________________________________________
LibreOffice mailing list
[hidden email]
http://lists.freedesktop.org/mailman/listinfo/libreoffice